Debian Bug report logs - #469906
ITP: flashblock -- mozilla extension that replaces flash

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: rzr@users.sf.net

Date: Fri, 7 Mar 2008 20:21:04 UTC

Owned by: gq@debian.org

Severity: wishlist

Fixed in version flashblock/1.5.11-1

Done: Alexander GQ Gerasiov <gq@cs.msu.su>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#469906; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to rzr@users.sf.net:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Philippe Coval <rzr@users.sf.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: flashblock -- mozilla extension which prevent loading embedded swf files on the web
Date: Fri, 07 Mar 2008 21:20:20 +0100
Package: wnpp
Severity: wishlist


* Package name    : flashblock
  Version         : 1.5.5
  Upstream Author : Ted Mielczarek and Theodore Drake and others
* URL             : http://flashblock.mozdev.org
* License         : Mozilla Triple Licence (MPL 1.1/GPL 2.0/LGPL 2.1)
  Programming Lang: JavaScript XUL
  Description     : mozilla extension which prevent loading embedded swf files on the web

Flashblock is an extension for the Mozilla, Firefox, and Netscape browsers
  that takes a pessimistic approach to dealing with Macromedia Flash content
  on a webpage and blocks ALL Flash content from loading.

It then leaves placeholders on the webpage that allow you
  to click to download and then view the Flash content.

I may provide a quick and dirty package, if noone ITP it

To be continued : http://rzr.online.fr/q/mozilla

Regards




Changed Bug title to `ITP: flashblock -- mozilla extension that replaces flash' from `RFP: flashblock -- mozilla extension which prevent loading embedded swf files on the web'. Request was from Philippe Coval <rzr@users.sf.net> to control@bugs.debian.org. (Sun, 09 Mar 2008 02:03:02 GMT) Full text and rfc822 format available.

Owner recorded as Philippe Coval <rzr@users.sf.net>. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. (Sun, 09 Mar 2008 10:00:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#469906; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Philippe Coval <rzr@users.sf.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #14 received at 469906@bugs.debian.org (full text, mbox):

From: Philippe Coval <rzr@users.sf.net>
To: 469906@bugs.debian.org
Subject: debian : RFS flashblock
Date: Sat, 26 Apr 2008 19:24:57 +0200
[Message part 1 (text/plain, inline)]
Hi,

Let me update this bug status,

I published a source package at :
  http://mentors.debian.net/debian/pool/main/f/flashblock/

Sponsorship/Upload is welcome too :
 
http://mentors.debian.net/cgi-bin/maintainer-packages?action=details;package=flashblock

Regards

-- 
 # mailto:rzr[a]users.sf.net -- gpg:0x467094BC
 # http://rzr.online.fr/contribs.htm -- Libre Software Addict
 # xmpp:rzr[a]jabber.fr -- sip:rzr[a]ekiga.net


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Philippe Coval <rzr@users.sf.net>:
Bug#469906; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Andreas Metzler <ametzler@downhill.at.eu.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Philippe Coval <rzr@users.sf.net>. Full text and rfc822 format available.

Message #19 received at 469906@bugs.debian.org (full text, mbox):

From: Andreas Metzler <ametzler@downhill.at.eu.org>
To: Philippe Coval <rzr@users.sf.net>, 469906@bugs.debian.org
Subject: Re: debian : RFS flashblock
Date: Sat, 17 May 2008 12:00:09 +0200
On 2008-04-26 Philippe Coval <rzr@users.sf.net> wrote:
> Let me update this bug status,

> I published a source package at :
>   http://mentors.debian.net/debian/pool/main/f/flashblock/

> Sponsorship/Upload is welcome too :

> http://mentors.debian.net/cgi-bin/maintainer-packages?action=details;package=flashblock

Hello,

Thanks for your efforts.

I have taken a short look at the package. This is the first
mozilla-pugin source package I have taken a look at, I am not familiar
with the best-practices. - Eyeing example packages (venkman) there
seems to be some black magic involved, like writing a chrome.d file
and generating the correct symlinks in {/usr/share,/var/lib}. Which i
why I do not intend to sponsor this.

Anyway, I think the following might still be helpful.

There are a couple of things that probably need to be fixed:

#1 The version number. You (claim to) have taken a svn snapshot and
labeled it 1.3.9a.
  
This is going to make problems if you ever want to upload the
released version of 1.3.9:
-------------
ametzler@argenau:/tmp/$ dpkg --compare-versions 1.3.9a-1 \
   '<=' 1.3.9-1 || echo beta version sorts after release
beta version sorts after release
-------------

1.3.9~svn20080307-1 (with 20080307 being the checkout date) would sort
correctly and would correctly label this as svn-snapshot.

#2 The generation of orig.tar.gz. Please document exactly and in
detail how the orig.tar.gz was generated in debian/README.source. This
should show how to package a released version (using the .xpi as
input), too.

#3 There is no seamonkey package in Debbian, you probably should
depend on iceape-browser instead. (Not that the package currently
works with iceape-browser, there is a magic symlink or chrome.d file
missing somewhere.)

cu andreas

-- 
`What a good friend you are to him, Dr. Maturin. His other friends are
so grateful to you.'
`I sew his ears on from time to time, sure'




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#469906; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Philippe Coval <rzr@users.sf.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #24 received at 469906@bugs.debian.org (full text, mbox):

From: Philippe Coval <rzr@users.sf.net>
To: Andreas Metzler <ametzler@downhill.at.eu.org>, 469906@bugs.debian.org
Subject: Re: debian : flashblock support for iceape
Date: Tue, 15 Jul 2008 19:40:19 +0200
Hi Andreas,

Thank you for your email I fixed my package and it seems to support
iceape now

And still looking for a sponsorship to upload latest version at :

http://mentors.debian.net/debian/pool/main/f/flashblock/

co-maintenance can be an option too

Regards


-- 
 # mailto:rzr[a]users.sf.net -- gpg:0x467094BC                        #
 # http://rzr.online.fr/contribs.htm -- Libre Software Addict         #
 # xmpp:rzr[a]jabber.fr -- sip:rzr[a]ekiga.net                        #







Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Philippe Coval <rzr@users.sf.net>:
Bug#469906; Package wnpp. (Sat, 25 Apr 2009 03:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogerio Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Philippe Coval <rzr@users.sf.net>. (Sat, 25 Apr 2009 03:21:04 GMT) Full text and rfc822 format available.

Message #29 received at 469906@bugs.debian.org (full text, mbox):

From: Rogerio Brito <rbrito@ime.usp.br>
To: 469906@bugs.debian.org
Subject: Any updates on this bug?
Date: Fri, 24 Apr 2009 23:56:11 -0300
Hi there.

Is there any progress on this? Any updates?


Thanks for any information, Rogério Brito.

-- 
Rogério Brito : rbrito@{mackenzie,ime.usp}.br : GPG key 1024D/7C2CAEB8
http://www.ime.usp.br/~rbrito : http://meusite.mackenzie.com.br/rbrito
Projects: algorithms.berlios.de : lame.sf.net : vrms.alioth.debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Philippe Coval <rzr@users.sf.net>:
Bug#469906; Package wnpp. (Fri, 01 May 2009 14:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philippe Coval <philippe.coval@laposte.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Philippe Coval <rzr@users.sf.net>. (Fri, 01 May 2009 14:12:03 GMT) Full text and rfc822 format available.

Message #34 received at 469906@bugs.debian.org (full text, mbox):

From: Philippe Coval <philippe.coval@laposte.net>
To: 469906@bugs.debian.org
Subject: debian flashblock itp rfs
Date: Fri, 01 May 2009 16:10:54 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

hi
thank you for your interest into this handy software,
As FB upgrade very often I would prefer to find sponsorship
before updating the current version...

Currently there is a version at mentors and a more recent one in
https://edge.launchpad.net/ubuntu/+source/flashblock

I'll may update both if it helps, just tell me

- --
 # mailto:philippe.coval[a]laposte.net - gpg:0x467094BC
 # http://rzr.online.fr/contact.htm (tel, sip, icq, msn, etc)
 # xmpp:rzr[a]jabber.fr
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iEYEARECAAYFAkn7Au0ACgkQlNXo+kZwlLx+IQCcC0nf6arj9R5PZVp/5RzHeFyl
tIkAoIieZ01syqRYL2yNDIGVktYikndl
=V2YH
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, pkg-mozext-maintainers@lists.alioth.debian.org, <wnpp@debian.org>, Philippe Coval <rzr@users.sf.net>:
Bug#469906; Package wnpp. (Tue, 20 Oct 2009 12:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Gerasiov <gq@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org, pkg-mozext-maintainers@lists.alioth.debian.org, <wnpp@debian.org>, Philippe Coval <rzr@users.sf.net>. (Tue, 20 Oct 2009 12:54:03 GMT) Full text and rfc822 format available.

Message #39 received at 469906@bugs.debian.org (full text, mbox):

From: Alexander Gerasiov <gq@debian.org>
To: Debian Bug Tracking System <469906@bugs.debian.org>
Subject: Can I take care of it?
Date: Tue, 20 Oct 2009 16:15:37 +0400
Package: wnpp
Severity: wishlist
Owner: Alexander Gerasiov <gq@debian.org>

I've took a look at Philippe's work. It really looks hard-hacked inside. It's
also outdated a lot. So I rewrite package based on scrapbook package.
Here it is: http://vice.gq.net.ru/staff/flashblock

It nobody raise against, I'd like to maintain it under debian pkg-mozext team.

Any suggestions?

-- 
Cheers, Alexander.




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Philippe Coval <rzr@users.sf.net>:
Bug#469906; Package wnpp. (Tue, 20 Oct 2009 13:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander GQ Gerasiov <gq@cs.msu.su>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Philippe Coval <rzr@users.sf.net>. (Tue, 20 Oct 2009 13:57:06 GMT) Full text and rfc822 format available.

Message #44 received at 469906@bugs.debian.org (full text, mbox):

From: Alexander GQ Gerasiov <gq@cs.msu.su>
To: 469906@bugs.debian.org
Subject: #469906: Re: Can I take care of it?
Date: Tue, 20 Oct 2009 17:19:10 +0400
Hi, Philippe.

Oh, I've found updated package on launchpad, I's quite ok, except I
dislike it's versioning strategy. So we can base new version on it if
you like and wanna continue to work on packaging it.

-- 
Best regards,
 Alexander GQ Gerasiov

 Contacts:
 e-mail:    gq@cs.msu.su             Jabber:  gq@jabber.ru
 Homepage:  http://gq.net.ru         ICQ:     7272757
 PGP fingerprint: 04B5 9D90 DF7C C2AB CD49  BAEA CA87 E9E8 2AAC 33F1




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Philippe Coval <rzr@users.sf.net>:
Bug#469906; Package wnpp. (Tue, 20 Oct 2009 14:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benjamin Drung <bdrung@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Philippe Coval <rzr@users.sf.net>. (Tue, 20 Oct 2009 14:45:03 GMT) Full text and rfc822 format available.

Message #49 received at 469906@bugs.debian.org (full text, mbox):

From: Benjamin Drung <bdrung@ubuntu.com>
To: Alexander Gerasiov <gq@debian.org>, 469906@bugs.debian.org
Subject: Re: [Pkg-mozext-maintainers] Bug#469906: Can I take care of it?
Date: Tue, 20 Oct 2009 16:10:48 +0200
[Message part 1 (text/plain, inline)]
Am Dienstag, den 20.10.2009, 16:15 +0400 schrieb Alexander Gerasiov:
> Package: wnpp
> Severity: wishlist
> Owner: Alexander Gerasiov <gq@debian.org>
> 
> I've took a look at Philippe's work. It really looks hard-hacked inside. It's
> also outdated a lot. So I rewrite package based on scrapbook package.
> Here it is: http://vice.gq.net.ru/staff/flashblock
> 
> It nobody raise against, I'd like to maintain it under debian pkg-mozext team.

You are welcome.

> Any suggestions?

* Vcs-Browser link does not work

* Please use xul-ext-flashblock as binary package name

* Please use mozilla-devscripts [1]

* Please use med-xpi-unpack for generating the source (this will lead to
an extracted jar file)

[1] http://wiki.debian.org/mozilla-devscripts

-- 
Benjamin Drung
Ubuntu Developer (www.ubuntu.com) | Debian Maintainer (www.debian.org)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Philippe Coval <rzr@users.sf.net>:
Bug#469906; Package wnpp. (Tue, 20 Oct 2009 15:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander GQ Gerasiov <gq@cs.msu.su>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Philippe Coval <rzr@users.sf.net>. (Tue, 20 Oct 2009 15:06:03 GMT) Full text and rfc822 format available.

Message #54 received at 469906@bugs.debian.org (full text, mbox):

From: Alexander GQ Gerasiov <gq@cs.msu.su>
To: Benjamin Drung <bdrung@ubuntu.com>
Cc: 469906@bugs.debian.org
Subject: Re: [Pkg-mozext-maintainers] Bug#469906: Can I take care of it?
Date: Tue, 20 Oct 2009 18:49:05 +0400
Tue, 20 Oct 2009 16:10:48 +0200
Benjamin Drung <bdrung@ubuntu.com> wrote:

> Am Dienstag, den 20.10.2009, 16:15 +0400 schrieb Alexander Gerasiov:
> > Package: wnpp
> > Severity: wishlist
> > Owner: Alexander Gerasiov <gq@debian.org>
> > 
> > I've took a look at Philippe's work. It really looks hard-hacked
> > inside. It's also outdated a lot. So I rewrite package based on
> > scrapbook package. Here it is:
> > http://vice.gq.net.ru/staff/flashblock
> > 
> > It nobody raise against, I'd like to maintain it under debian
> > pkg-mozext team.
> 
> You are welcome.
> 
> > Any suggestions?
> 
> * Vcs-Browser link does not work
Yes, I didn't created repository yet, until bug owner decision to grant
this package to me.

> 
> * Please use xul-ext-flashblock as binary package name
> 
> * Please use mozilla-devscripts [1]
> 
> * Please use med-xpi-unpack for generating the source (this will lead
> to an extracted jar file)
Thank, I was sure that there should be something like this, but was
unable to find it.

-- 
Best regards,
 Alexander GQ Gerasiov

 Contacts:
 e-mail:    gq@cs.msu.su             Jabber:  gq@jabber.ru
 Homepage:  http://gq.net.ru         ICQ:     7272757
 PGP fingerprint: 04B5 9D90 DF7C C2AB CD49  BAEA CA87 E9E8 2AAC 33F1




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Philippe Coval <rzr@users.sf.net>:
Bug#469906; Package wnpp. (Wed, 21 Oct 2009 08:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Sack <asac@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Philippe Coval <rzr@users.sf.net>. (Wed, 21 Oct 2009 08:57:03 GMT) Full text and rfc822 format available.

Message #59 received at 469906@bugs.debian.org (full text, mbox):

From: Alexander Sack <asac@debian.org>
To: Alexander Gerasiov <gq@debian.org>, 469906@bugs.debian.org
Cc: andrea.veri89@gmail.com
Subject: Re: [Pkg-mozext-maintainers] Bug#469906: Can I take care of it?
Date: Wed, 21 Oct 2009 10:44:03 +0200
On Tue, Oct 20, 2009 at 04:15:37PM +0400, Alexander Gerasiov wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Alexander Gerasiov <gq@debian.org>
> 
> I've took a look at Philippe's work. It really looks hard-hacked inside. It's
> also outdated a lot. So I rewrite package based on scrapbook package.
> Here it is: http://vice.gq.net.ru/staff/flashblock
> 
> It nobody raise against, I'd like to maintain it under debian pkg-mozext team.

Would you mind using mozilla-devscripts? CCed Andrea who can probably help on
that.

Actually ... maybe we already did that in ubuntu/branches? Andrea?

 - Alexander





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Philippe Coval <rzr@users.sf.net>:
Bug#469906; Package wnpp. (Wed, 21 Oct 2009 13:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrea Veri <andrea.veri89@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Philippe Coval <rzr@users.sf.net>. (Wed, 21 Oct 2009 13:15:04 GMT) Full text and rfc822 format available.

Message #64 received at 469906@bugs.debian.org (full text, mbox):

From: Andrea Veri <andrea.veri89@gmail.com>
To: 469906@bugs.debian.org
Cc: Alexander Sack <asac@debian.org>, Alexander Gerasiov <gq@debian.org>
Subject: Re: [Pkg-mozext-maintainers] Bug#469906: Can I take care of it?
Date: Wed, 21 Oct 2009 14:35:01 +0200
On Wed, 21 Oct 2009 10:44:03 +0200
Alexander Sack <asac@debian.org> wrote:

> Actually ... maybe we already did that in ubuntu/branches? Andrea?

yes, we have some flashblock's bits into our bzr repositories already.

I had a look at Alexander's package [1] and I noticed it's not using
mozilla-devscripts at all. It would be great if you could move the
package you made to mozilla-devscripts plus adapting them to our team's
policy that can be found at our homepage. [2]

I would suggest you to branch out our current (Ubuntu) flashblock
package [3] and start from it again, if you get lost you can either
follow mozilla-devscript's guidelines [4] or contact us via
pkg-mozext's ML or directly through our IRC channel.

Let me know if you experience any problem or you need some more input,

Andrea

[1] http://vice.gq.net.ru/staff/flashblock
[2]
http://wiki.debian.org/Teams/DebianMozExtTeam#PolicyforpackagingextensionsforXULbasedapplications
[3] http://wiki.debian.org/mozilla-devscripts
[4] https://launchpad.net/ubuntu/+source/flashblock and
https://code.launchpad.net/~ubuntu-branches/ubuntu/karmic/flashblock/karmic




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Philippe Coval <rzr@users.sf.net>:
Bug#469906; Package wnpp. (Wed, 21 Oct 2009 14:18:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander GQ Gerasiov <gq@cs.msu.su>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Philippe Coval <rzr@users.sf.net>. (Wed, 21 Oct 2009 14:18:11 GMT) Full text and rfc822 format available.

Message #69 received at 469906@bugs.debian.org (full text, mbox):

From: Alexander GQ Gerasiov <gq@cs.msu.su>
To: 469906@bugs.debian.org
Subject: Re: [Pkg-mozext-maintainers] Bug#469906: Can I take care of it?
Date: Wed, 21 Oct 2009 17:21:16 +0400
Wed, 21 Oct 2009 14:35:01 +0200
Andrea Veri <andrea.veri89@gmail.com> wrote:

> On Wed, 21 Oct 2009 10:44:03 +0200
> Alexander Sack <asac@debian.org> wrote:
> 
> > Actually ... maybe we already did that in ubuntu/branches? Andrea?
> 
> yes, we have some flashblock's bits into our bzr repositories already.
> 
> I had a look at Alexander's package [1] and I noticed it's not using
> mozilla-devscripts at all. It would be great if you could move the
> package you made to mozilla-devscripts plus adapting them to our
> team's policy that can be found at our homepage. [2]
> 
> I would suggest you to branch out our current (Ubuntu) flashblock
> package [3] and start from it again, if you get lost you can either
> follow mozilla-devscript's guidelines [4] or contact us via
> pkg-mozext's ML or directly through our IRC channel.

That's Ok. As I said I didn't noticed package on launchpad. I don't see
any problem with mozilla-devscript and will use them.

-- 
Best regards,
 Alexander GQ Gerasiov

 Contacts:
 e-mail:    gq@cs.msu.su             Jabber:  gq@jabber.ru
 Homepage:  http://gq.net.ru         ICQ:     7272757
 PGP fingerprint: 04B5 9D90 DF7C C2AB CD49  BAEA CA87 E9E8 2AAC 33F1




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Philippe Coval <rzr@users.sf.net>:
Bug#469906; Package wnpp. (Wed, 21 Oct 2009 18:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philippe Coval <rzr@gna.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Philippe Coval <rzr@users.sf.net>. (Wed, 21 Oct 2009 18:27:03 GMT) Full text and rfc822 format available.

Message #74 received at 469906@bugs.debian.org (full text, mbox):

From: Philippe Coval <rzr@gna.org>
To: Alexander GQ Gerasiov <gq@cs.msu.su>, 469906@bugs.debian.org
Subject: Re: Bug#469906: #469906: Re: Can I take care of it?
Date: Wed, 21 Oct 2009 19:47:06 +0200
Alexander GQ Gerasiov wrote:
> Hi, Philippe.
>
>   
hi alex,

I saw your emails today, but i was busy
> Oh, I've found updated package on launchpad, I's quite ok, 
even for debian ? or it does rely on ubufox ?
should it be renamed ? and break ubuntu compatibility ?

> except I
> dislike it's versioning strategy. 
please explain,the odd versioning is in fact a consequence of upstream
management

> So we can base new version on it if
> you like and wanna continue to work on packaging it.
>   
well what do you think about co-maintenance  on alioth ?
but the main issue for me is to find some uploader for it; can you help ?

Regards






Owner changed from Philippe Coval <rzr@users.sf.net> to gq@debian.org. Request was from Alexander GQ Gerasiov <gq@debian.org> to control@bugs.debian.org. (Mon, 23 Nov 2009 00:18:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 23 Nov 2009 07:06:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, gq@debian.org:
Bug#469906; Package wnpp. (Mon, 23 Nov 2009 08:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander GQ Gerasiov <gq@cs.msu.su>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, gq@debian.org. (Mon, 23 Nov 2009 08:12:03 GMT) Full text and rfc822 format available.

Message #83 received at 469906@bugs.debian.org (full text, mbox):

From: Alexander GQ Gerasiov <gq@cs.msu.su>
To: Philippe Coval <rzr@gna.org>
Cc: 469906@bugs.debian.org
Subject: Re: Bug#469906: #469906: Re: Can I take care of it?
Date: Mon, 23 Nov 2009 11:01:06 +0300
[Message part 1 (text/plain, inline)]
Hi there.

Was busy (and previous package was working well, so I have no much
motivation ;)).

On Wed, 21 Oct 2009 19:47:06 +0200
Philippe Coval <rzr@gna.org> wrote:
> I saw your emails today, but i was busy
> > Oh, I've found updated package on launchpad, I's quite ok, 
> even for debian ? or it does rely on ubufox ?
> should it be renamed ? and break ubuntu compatibility ?
I've rewrote it a little bit to follow DebMozExtTeam policy.
I renamed it and set Conflicts with old one. Not sure, do we need to
provide placeholder package (named flashblock) for easier upgrade of
Ubuntu's installation. For me it looks like that's up to Ubuntu guys to
do this in their distro.

> 
> > except I
> > dislike it's versioning strategy. 
> please explain,the odd versioning is in fact a consequence of upstream
> management
I mean version+snapshot. I believe, that it would be better to use
upstream releases.

> 
> > So we can base new version on it if
> > you like and wanna continue to work on packaging it.
> >   
> well what do you think about co-maintenance  on alioth ?
I set Debian MozExt Team as Maintainer, so feel free to join group on
alioth.

> but the main issue for me is to find some uploader for it; can you
> help ?
Sure.

So I've uploaded package to NEW. And waiting for inclusion to alioth's
group to create git repository there.

-- 
Best regards,
 Alexander GQ Gerasiov

 Contacts:
 e-mail:    gq@cs.msu.su             Jabber:  gq@jabber.ru
 Homepage:  http://gq.net.ru         ICQ:     7272757
 PGP fingerprint: 04B5 9D90 DF7C C2AB CD49  BAEA CA87 E9E8 2AAC 33F1
[signature.asc (application/pgp-signature, attachment)]

Reply sent to Alexander GQ Gerasiov <gq@cs.msu.su>:
You have taken responsibility. (Tue, 24 Nov 2009 19:36:18 GMT) Full text and rfc822 format available.

Notification sent to rzr@users.sf.net:
Bug acknowledged by developer. (Tue, 24 Nov 2009 19:36:18 GMT) Full text and rfc822 format available.

Message #88 received at 469906-close@bugs.debian.org (full text, mbox):

From: Alexander GQ Gerasiov <gq@cs.msu.su>
To: 469906-close@bugs.debian.org
Subject: Bug#469906: fixed in flashblock 1.5.11-1
Date: Tue, 24 Nov 2009 19:32:06 +0000
Source: flashblock
Source-Version: 1.5.11-1

We believe that the bug you reported is fixed in the latest version of
flashblock, which is due to be installed in the Debian FTP archive:

flashblock_1.5.11-1.diff.gz
  to main/f/flashblock/flashblock_1.5.11-1.diff.gz
flashblock_1.5.11-1.dsc
  to main/f/flashblock/flashblock_1.5.11-1.dsc
flashblock_1.5.11.orig.tar.gz
  to main/f/flashblock/flashblock_1.5.11.orig.tar.gz
xul-ext-flashblock_1.5.11-1_all.deb
  to main/f/flashblock/xul-ext-flashblock_1.5.11-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 469906@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alexander GQ Gerasiov <gq@cs.msu.su> (supplier of updated flashblock package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 23 Nov 2009 02:24:00 +0300
Source: flashblock
Binary: xul-ext-flashblock
Architecture: source all
Version: 1.5.11-1
Distribution: unstable
Urgency: low
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Changed-By: Alexander GQ Gerasiov <gq@cs.msu.su>
Description: 
 xul-ext-flashblock - mozilla extension that replaces flash elements with a button
Closes: 469906
Changes: 
 flashblock (1.5.11-1) unstable; urgency=low
 .
   * Imported Upstream version 1.5.11
   * med-xpi-unpack and original xpi used instead of import from cvs.
   * Bring package under maintenance of Debian Mozilla Extension Maintainers.
   * Bump Standard's version to 3.8.3
   * Binary package renamed according to DebMozExtTeam. Old package's name left
     in Conflicts/Replaces.
   * debian/control updated to use mozilla-devscripts power.
   * debian/rules reduced to drop all staff related to cvs import.
   * debian/copyright replaced with machine-readable one.
   * Finally upload to Debian (Closes: #469906).
Checksums-Sha1: 
 b4022b29d6a44dbf0fe1e2df7accdbeedee2b7aa 1612 flashblock_1.5.11-1.dsc
 82759f255472178d8d8e88ed781e580b3ecdb250 60376 flashblock_1.5.11.orig.tar.gz
 073fd75bcbc08a1219b6a16c1358b9b73004cb54 12172 flashblock_1.5.11-1.diff.gz
 812d8b3957f1c6d54438b6a9d3d61ac7934da420 88144 xul-ext-flashblock_1.5.11-1_all.deb
Checksums-Sha256: 
 3b8a4cd154f6ab0916fdac3e630450266c895ea3dc28350e83cf5c43a8a9dd8f 1612 flashblock_1.5.11-1.dsc
 c11e65f48b26e4b062d1e489e062826d3973e43dc30ee847501e88644d66de53 60376 flashblock_1.5.11.orig.tar.gz
 5170454ee282c036d314a9b5b988afc306d02101c5feea5062b4bf756756aead 12172 flashblock_1.5.11-1.diff.gz
 379b51bb2234d6cc2c1c6a03be87dbc1a96bd31e95920bfd7590b08f87e65b23 88144 xul-ext-flashblock_1.5.11-1_all.deb
Files: 
 eeef2962435875e3b9ae240a418a2f65 1612 web optional flashblock_1.5.11-1.dsc
 3e03df3872c59fad961cb3f1d741ffd2 60376 web optional flashblock_1.5.11.orig.tar.gz
 37bf1647c3e7c0446c4cc1a913db78db 12172 web optional flashblock_1.5.11-1.diff.gz
 a3601264ce1da62277456ded61c7241a 88144 web optional xul-ext-flashblock_1.5.11-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQEcBAEBCAAGBQJLCe1jAAoJEMqH6egqrDPxIPQIAJqFRX3MfPgbXFheKj6GNcAh
WfMEukilJ39mNRe40lkhXYBfwNbVFElTsoCUcRz4IjtGyRt0PfLhoPKolfeiWBaN
BSuD292ObhCxxy04b3dTBZWreqjYHqq0dc/7H0EX61/8ZS42E5jjc+VFfii8kbzL
Ogd8lljek/yzw8/cMVem+B61iL5Os9mthrSEPT1DpM8fyt4+UE/aF1v5SA3Uiffv
fZk429HP/bZFEjcy2Bg2xrwpFS80/SsP1HxT3tzxDdcJ7Dyrk+t5lSFIacoFDh+E
TTLrrN8navbz2wJ+XL2Vn8LmLF/HMqECrrKQxA7CSV/c5lrufITbhxXUEh/m5Qo=
=EEAt
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 23 Dec 2009 07:27:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 03:58:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.